alpm-srcinfo-format-packages(1)

NAME
alpm-srcinfo-format-packages - Format a SRCINFO file from a path or `stdin`

SYNOPSIS
alpm-srcinfo format-packages <-a|--architecture> [-o|--output-format] [-p|--pretty] [-h|--help] [FILE]

DESCRIPTION
Format a SRCINFO file from a path or `stdin`

Read, validate and print all of the SRCINFO's packages in their final representation for a specific architecture. If the file is valid, the program prints the data in the requested file format to stdout and returns with an exit status of 0.

OPTIONS

-a, --architecture=ARCHITECTURE
    The selected architecture that should be used to interpret the SRCINFO file. Only [split-]packages that are applicable for this architecture will be returned.

-o, --output-format=OUTPUT_FORMAT [default: json]
    Provide the output format
    [possible values: json]

-p, --pretty
    Pretty-print the output. Only applies to formats that support pretty output and is otherwise ignored.

-h, --help
    Print help (see a summary with '-h')

[FILE]